﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2024: (1 year) VER RS-232 /5520A+SC300
DATE:                  2010-08-24 10:41:25
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       239
CONFIGURATION:         Fluke 5520A (SC)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
# 
#  Models covered:
#        TDS 2024
# 
#  Source(s):
#        TDS1000 and TDS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1076-02
# 
#  Compatibility:
#        MET/CAL or 5500/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub UUT RS-232 Connection DTE DB9 (m) /5520
#        Sub Tek TDS1000/2000 Specifications
#        Sub Tek TDS1000/2000 Setup RS-232
#        Sub Tek TDS1000/2000 Self-Test RS-232
#        Sub Tek TDS1000/2000 Sig Path Comp Cal RS-232
#        Sub Tek TDS1000/2000 Select Channel RS-232
#        Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
#        Sub Tek TDS1000/2000 (1 yr) DCV Meas RS-232 /5520+SC
#        Sub Tek TDS1000/2000 (1 yr) Bandwidth RS-232 /5520+SC
#        Sub Tek TDS1000/2000 (1 yr) Trig Sens RS-232 /5520+SC
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232 /5520+SC
#        Sub Tek TDS1000/2000 (1 yr) Sample Rate RS-232 /5520+SC
#        Sub Tek TDS1000/2000 VER Required Equipment /5520
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000/2000 VER Required Equipment /5520"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  18 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         100MH                        1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.20Z"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         PRELIMINARY INSTRUCTIONS
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  TARGET
  1.017  CALL         Sub Tek TDS1000/2000 Setup RS-232
  1.018  JMPL         END                          @Abort
  1.019  CALL         Sub UUT RS-232 Connection DTE DB9 (m) /5520
  1.020  PORT         *RST

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query RS-232
  1.023  MATH         @UUT_Model = "TDS 2024"
  1.024  MATH         @UUT_Manufacturer = "Tektronix"
  1.025  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.026  JMPL         END                          @Abort

  1.027  CALL         Sub Tek TDS1000/2000 Specifications

  1.028  HEAD         EQUIPMENT REQUIREMENTS
  1.029  OPBR         -z Do you want to REVIEW the list of additional
  1.029  OPBR         equipment and/or accessories required?

  1.030  IF           MEM1
  1.031  CALL         Sub Tek TDS1000/2000 VER Required Equipment /5520
  1.032  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#    6.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#    7.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    8.   BANDWIDTH(CH2)                     EDGE-TRIGGER SENSITIVITY(CH1)
#    9.   BANDWIDTH(CH3)                     SAMPLE RATE AND DELAY TIME ACC
#   10.   BANDWIDTH(CH4)                     BANDWIDTH(CH2)
#   11.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH2)
#   12.   EDGE-TRIGGER SENSITIVITY(CH2)      BANDWIDTH(CH3)
#   13.   EDGE-TRIGGER SENSITIVITY(CH3)      EDGE-TRIGGER SENSITIVITY(CH3)
#   14.   EDGE-TRIGGER SENSITIVITY(CH4)      BANDWIDTH(CH4)
#   15.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  EDGE-TRIGGER SENSITIVITY(CH4)
#   16.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   17.   EXT EDGE-TRIGGER SENSITIVITY(CH3)  EXT EDGE-TRIGGER SENSITIVITY(CH2)
#   18.   EXT EDGE-TRIGGER SENSITIVITY(CH4)  EXT EDGE-TRIGGER SENSITIVITY(CH3)
#   19.   SAMPLE RATE AND DELAY TIME ACC     EXT EDGE-TRIGGER SENSITIVITY(CH4)

  1.033  CALL         Sub Tek TDS1000/2000 Self-Test RS-232
  1.034  JMPL         END                          @Abort
  1.035  CALL         Sub Tek TDS1000/2000 Sig Path Comp Cal RS-232
  1.036  JMPL         END                          @Abort

  1.037  MATH         @Chan = 1
  1.038  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /5520+SC

  1.039  MATH         @Chan = 2
  1.040  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /5520+SC

  1.041  MATH         @Chan = 3
  1.042  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /5520+SC

  1.043  MATH         @Chan = 4
  1.044  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /5520+SC

  1.045  MATH         @Chan = 1
  1.046  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /5520+SC
  1.047  JMPL         TRIG_CH1

  1.048  LABEL        BANDWIDTH_CH2
  1.049  MATH         @Chan = 2
  1.050  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /5520+SC
  1.051  JMPL         TRIG_CH2

  1.052  LABEL        BANDWIDTH_CH3
  1.053  MATH         @Chan = 3
  1.054  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /5520+SC
  1.055  JMPL         TRIG_CH3

  1.056  LABEL        BANDWIDTH_CH4
  1.057  MATH         @Chan = 4
  1.058  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /5520+SC
  1.059  JMPL         TRIG_CH4

  1.060  LABEL        TRIG_CH1
  1.061  MATH         @Chan = 1
  1.062  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /5520+SC
  1.063  JMPL         SAMPLE_RATE_DELAY_TIME

  1.064  LABEL        TRIG_CH2
  1.065  MATH         @Chan = 2
  1.066  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /5520+SC
  1.067  JMPL         BANDWIDTH_CH3

  1.068  LABEL        TRIG_CH3
  1.069  MATH         @Chan = 3
  1.070  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /5520+SC
  1.071  JMPL         BANDWIDTH_CH4

  1.072  LABEL        TRIG_CH4
  1.073  MATH         @Chan = 4
  1.074  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /5520+SC

  1.075  MATH         @Chan = 1
  1.076  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232 /5520+SC

  1.077  MATH         @Chan = 2
  1.078  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232 /5520+SC

  1.079  MATH         @Chan = 3
  1.080  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232 /5520+SC

  1.081  MATH         @Chan = 4
  1.082  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232 /5520+SC
  1.083  JMPL         END

  1.084  LABEL        SAMPLE_RATE_DELAY_TIME
  1.085  MATH         @Chan = 1
  1.086  CALL         Sub Tek TDS1000/2000 (1 yr) Sample Rate RS-232 /5520+SC
  1.087  JMPL         BANDWIDTH_CH2

  1.088  LABEL        END

  1.089  IF           @Abort
  1.090  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.091  ELSE
  1.092  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.093  ENDIF

  1.094  PORT         *RST
  1.095  END
